
 
function x_wu() {
x_z7 = new Array();
x_z8 = '../nonauth/gfx/';
var x_z9 = 'period';
x_z7[x_z9] = new x_za(false, false, 'popupMenu', 'popup1');
x_z7[x_z9].x_zb(x_vi, 'x_yw("period_day", "x_jq")', x_z8 + 'dayIcon.gif');
x_z7[x_z9].x_zb(x_vj, 'x_yw("period_week", "x_jr")', x_z8 + 'weekIcon.gif');
x_z7[x_z9].x_zb(x_vk, 'x_yw("period_month", "x_js")', x_z8 + 'monthIcon.gif');
x_z7[x_z9].x_zb(x_vl, 'x_yw("period_custom", "x_ju")', x_z8 + 'customIcon.gif');
document.onclick = x_zc;
}

function x_zc(x_zd) {
if (null == x_zd) {
x_zd = window.event;
x_zd.cancelBubble = true;
x_ze =  x_zd.srcElement
} else {
x_zd.stopPropagation();
x_ze = x_zd.target;
}
var x_zf = x_ze.getAttribute("id");
try {
if (!x_z7[x_zf])
x_zf = x_zg(x_ze);
} catch (e) {}
if ('popup_period' != x_zf) {
if (true == x_z7['period'].x_zh)
x_z7['period'].x_zi(true);
}
}

function x_zg(x_so) {
var x_ui = '';
while (x_ui.indexOf('popup_period') == -1) { 
x_so = x_so.parentNode;
if (x_so.id)
x_ui = x_so.id;
}
return x_ui;
}

function x_zj() {
for (i in x_z7) {
if (x_z7[i]) {
x_z7[i].x_zi(true);
}
}
}
 
function x_k0(x_wo) {
var x_w4 = 'popup_' + x_wo;
if (document.getElementById(x_w4)) {
var x_zk = document.getElementById(x_w4);
if (x_z7[x_wo].x_zh == true) {
x_z7[x_wo].x_zi();
} else {
x_z7[x_wo].x_zl(x_zm(x_zk), x_zn(x_zk));
return false;
}
}
}
 
function x_zm(x_zk)
{
var x_zo = 0;
if (x_zk.offsetParent) {
while (x_zk.offsetParent) {
x_zo += x_zk.offsetLeft
x_zk = x_zk.offsetParent;
}
} else if (x_zk.x) {
x_zo += x_zk.x;
}
if (x_xh) {
return (x_zo+1);
} else {
return x_zo;
}
}
 
function x_zn(x_zk)
{
var x_zp = x_zk.offsetHeight;
var x_zq = 0;
if (x_zk.offsetParent) {
while (x_zk.offsetParent) {
x_zq += x_zk.offsetTop;
x_zk = x_zk.offsetParent;
}
} else if (x_zk.y) {
x_zq += x_zk.y;
}
x_zq += x_zp;
if (x_xh) {
x_zq += 1;
}
return x_zq;
}
 
function x_yw(x_zr, x_w4) {
x_xz(x_zr);
x_y2(x_w4);
}
